Problem Datum Transformation
2011-04-29 07:05 AM - ImPreZa -

Status: Closed

Priority: Low

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 13846
Description

Hey!!

I've tried to transform a shapefile from EPGS:4618 (SAD69) to EPGS:4674 (SIRGAS2000), but the product of this transformation doesn't
shifts. It seems that QGIS export a shapefile with the new projection, but it is unable to apply (in fact) the values of the new ellipsoid.

Here are the official parameters for transformation between the both datums:

DX =-67,35
DY = +3,88
DZ =-38,22

Unfortunately, | couldn't upload the .gsb files (NTV2 transformation, 800kb) used by the department of the brazilian government, IBGE,
which is responsible for cartography etc. But you can download it here ([
ftp://geoftp.ibge.gov.br/programa/Transformacao_de_Coordenadas/ [[ProGRID]] IBGE]). You'll find the .gsb files here (C:\\Program
Files\\Progrid\GridFiles).

SAD69 Original (SAD69_003.GSB)
SAD69 reviewed in 1996 (SAD96_003.GSB)

If  open in QGIS a shapefile originally created in [[ArcGIS]] in SAD69 and other in SIRGAS2000, also transformed from SAD69 to
SIRGAS in [[ArcGIS]], without activate OTF, | can see the displacement between them. But when | transform the
[[ArcGIS]]-shapefile-SAD69 to SIRGAS2000 in QGIS, the QGIS is unable to show their displacement, even with OTF activated. Why
does this happens with shapes transformed in QGIS?

And the last problem: The QGIS doesn't create properly the .prj file, both for SAD69 and SIRGAS2000, as exposed here:

SIRGAS2000

GEOGCS[[GRS 1980(IUGG
1980)"DATUM*["D_unknown"*SPHEROID["GRS80"6378137298257222101]]PRIMEM["Greenwich"0JUNIT["Degree]]

And the correct one, from [[ArcGIS]] is:

GEOGCS[[GCS_SIRGAS_2000"DATUM["D_SIRGAS_2000"SPHEROID["GRS_1980"63781370298257222101]]PRIMEM["Gree
nwich"00JUNIT["Degree]]
ftp://geoftp.ibge.gov.br/programa/Transformacao_de_Coordenadas/

SAD69:

GEOGCSJ[[Australian Natl & S Amer
1969"DATUM["D_unknown"SPHEROID["aust_SA"637816029825]|PRIMEM["Greenwich"0]UNIT["Degree]]

And the correct one, from [[ArcGIS]] is:

GEOGCS[[GCS_South_American_1969"DATUM["D_South_American_1969"SPHEROID["GRS_1967_Truncated"63781600298
25]]PRIMEM["Greenwich"00]UNIT["Degree"00174532925199433]]VERTCS["WGS_1984_Geoid"VDATUM["WGS_1984_Geoid"|PARAMET
JPARAMETER]"Vertical_Shift"00]PARAMETER]["Direction"10]JUNIT["Meter]]

Here are the original data that I'm working with. These data are mineral rights from Rio Grande do Sul State, south Brazil:
Shapefiles in SAD69
Shapefiles in SIRGAS

| asked for help at the QGIS Forum. They've found the same problem and couldn't solve it.
Thanks!!

History

#1 - 2011-12-16 12:45 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:27 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#4 - 2012-09-13 01:22 PM - Magnus Homann
- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)
- Status changed from Open to Closed

It seems to work now, | have gdal 1.9.1. | can see a difference when setting different projections for the layers. Save as yields:

GEOGCS["SIRGAS

2000",DATUM["D_SIRGAS_2000",SPHEROID["GRS_1980",6378137,298.257222101]], PRIMEM["Greenwich",0], UNIT["Degree",0.017453292519943295]]

5]]

and

GEOGCS['SAD69",DATUM['D_South_American_1969",SPHEROID['GRS_1967",6378160,298.247167427]],PRIMEM["Greenwich",0],UNIT["Degree",
.017453292519943295]]

in respective project file.
http://sigmine.dnpm.gov.br/sad69/RS.zip/
http://sigmine.dnpm.gov.br/sirgas2000/RS.zip/
http://forum.qgis.org/viewtopic.php?t=8358

Closing, please reopen if it persists.
